#ifndef GRAFO_H
#define GRAFO_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define OBJETIVOX 29
#define OBJETIVOY 17

typedef struct {
	float x, y;
	int rotulo, adjacentes[4];
}Vertice;

void inicializaVertices(Vertice vertices[], int qtdVertices);

int ehPossivel(int origem, int acao, Vertice vAtual, int *nOrigem);

float distEuclidiana(Vertice v1, Vertice v2);

float avaliaV(Vertice vertices[], int individuo[], int print);

int objetivo(Vertice vAtual);

#endif
